{
  "codeName" : "Usr04256244EditView_Form",
  "controlStyle" : "FORM_DATA_COMPARISON",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
    }
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song/PSFORMS/Usr04256244EditView_Form.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom",
    "actionName" : "GETDRAFTFROM",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraftfrom",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
    }
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft",
    "actionName" : "GetDraft",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraft",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
    }
  },
  "logicName" : "数据对比编辑_表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
  },
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "SONGID",
      "codeName" : "SongId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "SONGNAME",
      "codeName" : "SongName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "id" : "updateman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "id" : "updatedate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "songname",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "SONGNAME",
      "codeName" : "SongName"
    }
  }, {
    "id" : "language",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "LANGUAGE",
      "codeName" : "Language"
    }
  }, {
    "id" : "songid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "SONGID",
      "codeName" : "SongId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.CREATEDATE"
      },
      "caption" : "建立时间",
      "codeName" : "createdate",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "createdate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "createdate",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEMAN"
      },
      "caption" : "更新人",
      "codeName" : "updateman",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "updateman",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEDATE"
      },
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 3,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "updatedate",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "歌曲基本信息",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SONGNAME"
        },
        "caption" : "歌曲名称",
        "codeName" : "songname",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "songname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "SONGNAME",
          "codeName" : "SongName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "songname"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "titleBarCloseMode" : 2,
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "caption" : "语言",
      "codeName" : "grouppanel1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel1",
      "getPSDEFormDetails" : [ {
        "caption" : "关系界面",
        "codeName" : "druipart1",
        "dRItemTag" : "DRItem",
        "detailStyle" : "DEFAULT",
        "detailType" : "DRUIPART",
        "name" : "druipart1",
        "getPSAppView" : {
          "accUserMode" : 2,
          "getCapPSLanguageRes" : {
            "lanResTag" : "DE.LNAME.TEST"
          },
          "caption" : "测试实体",
          "codeName" : "TESTSimpleEditView",
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "funcViewMode" : "EDITVIEW",
          "name" : "TESTSimpleEditView",
          "openMode" : "INDEXVIEWTAB_POPUPMODAL",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSAppModule" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
          },
          "getPSAppViewEngines" : [ {
            "engineCat" : "VIEW",
            "engineType" : "EditView",
            "name" : "engine"
          } ],
          "getPSControls" : [ {
            "codeName" : "SimpleEditViewtoolbar",
            "controlType" : "TOOLBAR",
            "logicName" : "工具栏模板（默认编辑界面）",
            "name" : "toolbar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : {
              "id" : "TOOLBAR"
            },
            "getPSDEToolbarItems" : [ {
              "actionLevel" : 200,
              "borderStyle" : "NONE",
              "caption" : "最小化",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem3",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem3"
              },
              "getPSSysImage" : {
                "cssClass" : "ribbon"
              },
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "最小化",
                "codeName" : "ShortCut",
                "frontProcessType" : "OTHER",
                "fullCodeName" : "ShortCut",
                "name" : "最小化",
                "getPSSysImage" : {
                  "glyph" : "xf1d9@FontAwesome",
                  "cssClass" : "fa fa-send-o"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "ShortCut",
                "uIActionType" : "DEUIACTION",
                "globalUIAction" : true
              },
              "tooltip" : "0123465",
              "uIActionTarget" : "NONE",
              "width" : 500.0,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDNEW"
              },
              "caption" : "保存并新建",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem4",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem4"
              },
              "getPSSysImage" : {
                "cssClass" : "sx-tb-saveandnew"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDNEW"
                },
                "caption" : "保存并新建",
                "codeName" : "SaveAndNew",
                "fullCodeName" : "SaveAndNew",
                "name" : "编辑界面_保存并新建操作",
                "getPSSysImage" : {
                  "cssClass" : "sx-tb-saveandnew"
                },
                "predefinedType" : "EDITVIEW_SAVEANDNEWACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDNEW"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "SaveAndNew",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "保存并新建",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDNEW"
              },
              "showCaption" : true,
              "showIcon" : false
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE"
              },
              "caption" : "保存并关闭",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem5",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem5"
              },
              "getPSSysImage" : {
                "cssClass" : "sx-tb-saveandclose"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE"
                },
                "caption" : "保存并关闭",
                "codeName" : "SaveAndExit",
                "fullCodeName" : "SaveAndExit",
                "name" : "编辑界面_保存并退出操作",
                "getPSSysImage" : {
                  "cssClass" : "sx-tb-saveandclose"
                },
                "predefinedType" : "EDITVIEW_SAVEANDEXITACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "SaveAndExit",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "保存并关闭",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE"
              },
              "width" : 300.0,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "itemType" : "SEPERATOR",
              "name" : "tbitem6"
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.EDITVIEW.REMOVEANDCLOSE"
              },
              "caption" : "删除并关闭",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem7",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem7"
              },
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.EDITVIEW.REMOVEANDCLOSE"
                },
                "caption" : "删除并关闭",
                "codeName" : "RemoveAndExit",
                "fullCodeName" : "RemoveAndExit",
                "name" : "编辑界面_删除并退出操作",
                "getPSSysImage" : {
                  "glyph" : "xf00d@FontAwesome",
                  "cssClass" : "fa fa-remove"
                },
                "predefinedType" : "EDITVIEW_REMOVEANDEXITACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.EDITVIEW.REMOVEANDCLOSE"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "RemoveAndExit",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "删除并关闭",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.EDITVIEW.REMOVEANDCLOSE"
              },
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "itemType" : "SEPERATOR",
              "name" : "tbitem8"
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.NEW"
              },
              "caption" : "新建",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem12",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem12"
              },
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.NEW"
                },
                "caption" : "新建",
                "codeName" : "New",
                "fullCodeName" : "New",
                "name" : "编辑界面_新建操作",
                "getPSSysImage" : {
                  "glyph" : "xf0f6@FontAwesome",
                  "cssClass" : "fa fa-file-text-o"
                },
                "predefinedType" : "EDITVIEW_NEWACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.NEW"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "New",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "新建",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.NEW"
              },
              "showCaption" : true,
              "showIcon" : true
            }, {
              "itemType" : "SEPERATOR",
              "name" : "tbitem13"
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.COPY"
              },
              "caption" : "拷贝",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem14",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem14"
              },
              "getPSSysImage" : {
                "glyph" : "xf0c5@FontAwesome",
                "cssClass" : "fa fa-copy"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.COPY"
                },
                "caption" : "拷贝",
                "codeName" : "Copy",
                "fullCodeName" : "Copy",
                "name" : "编辑界面_拷贝操作",
                "getPSSysImage" : {
                  "glyph" : "xf0c5@FontAwesome",
                  "cssClass" : "fa fa-copy"
                },
                "predefinedType" : "EDITVIEW_COPYACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.COPY"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Copy",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "拷贝",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.COPY"
              },
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "itemType" : "SEPERATOR",
              "name" : "tbitem16"
            }, {
              "borderStyle" : "NONE",
              "buttonStyle" : "WARNING",
              "caption" : "第一个记录",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem23",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem23"
              },
              "getPSSysImage" : {
                "glyph" : "xf049@FontAwesome",
                "cssClass" : "fa fa-fast-backward"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "第一个记录",
                "codeName" : "FirstRecord",
                "fullCodeName" : "FirstRecord",
                "name" : "编辑界面_第一个记录",
                "getPSSysImage" : {
                  "glyph" : "xf049@FontAwesome",
                  "cssClass" : "fa fa-fast-backward"
                },
                "predefinedType" : "EDITVIEW_FIRSTRECORDACTION",
                "timeout" : 60000,
                "uIActionMode" : "SYS",
                "uIActionTag" : "FirstRecord",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "第一个记录",
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : false,
              "showIcon" : true
            }, {
              "borderStyle" : "SOLID",
              "buttonStyle" : "SUCCESS",
              "caption" : "上一个记录",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem24",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem24"
              },
              "getPSSysImage" : {
                "glyph" : "xf048@FontAwesome",
                "cssClass" : "fa fa-step-backward"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "上一个记录",
                "codeName" : "PrevRecord",
                "fullCodeName" : "PrevRecord",
                "name" : "编辑界面_上一个记录",
                "getPSSysImage" : {
                  "glyph" : "xf048@FontAwesome",
                  "cssClass" : "fa fa-step-backward"
                },
                "predefinedType" : "EDITVIEW_PREVRECORDACTION",
                "timeout" : 60000,
                "uIActionMode" : "SYS",
                "uIActionTag" : "PrevRecord",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "上一个记录",
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : false,
              "showIcon" : true
            }, {
              "borderStyle" : "DOTTED",
              "buttonStyle" : "STYLE4",
              "caption" : "下一个记录",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem25",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem25"
              },
              "getPSSysImage" : {
                "glyph" : "xf051@FontAwesome",
                "cssClass" : "fa fa-step-forward"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "下一个记录",
                "codeName" : "NextRecord",
                "fullCodeName" : "NextRecord",
                "name" : "编辑界面_下一个记录",
                "getPSSysImage" : {
                  "glyph" : "xf051@FontAwesome",
                  "cssClass" : "fa fa-step-forward"
                },
                "predefinedType" : "EDITVIEW_NEXTRECORDACTION",
                "timeout" : 60000,
                "uIActionMode" : "SYS",
                "uIActionTag" : "NextRecord",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "下一个记录",
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : false,
              "showIcon" : true
            }, {
              "borderStyle" : "DASHED",
              "buttonStyle" : "STYLE3",
              "caption" : "最后一个记录",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem26",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem26"
              },
              "getPSSysImage" : {
                "glyph" : "xf050@FontAwesome",
                "cssClass" : "fa fa-fast-forward"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "最后一个记录",
                "codeName" : "LastRecord",
                "fullCodeName" : "LastRecord",
                "name" : "编辑界面_最后一个记录",
                "getPSSysImage" : {
                  "glyph" : "xf050@FontAwesome",
                  "cssClass" : "fa fa-fast-forward"
                },
                "predefinedType" : "EDITVIEW_LASTRECORDACTION",
                "timeout" : 60000,
                "uIActionMode" : "SYS",
                "uIActionTag" : "LastRecord",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "最后一个记录",
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : false,
              "showIcon" : true
            }, {
              "itemType" : "SEPERATOR",
              "name" : "tbitem21"
            }, {
              "borderStyle" : "DOUBLE",
              "buttonStyle" : "SUCCESS",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.HELP"
              },
              "caption" : "帮助",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem22",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem22"
              },
              "getPSSysImage" : {
                "glyph" : "xf128@FontAwesome",
                "cssClass" : "fa fa-question"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.HELP"
                },
                "caption" : "帮助",
                "codeName" : "Help",
                "fullCodeName" : "Help",
                "name" : "编辑界面_帮助操作",
                "getPSSysImage" : {
                  "glyph" : "xf128@FontAwesome",
                  "cssClass" : "fa fa-question"
                },
                "predefinedType" : "EDITVIEW_HELPACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.HELP"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Help",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "帮助",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.HELP"
              },
              "showCaption" : true,
              "showIcon" : true
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE"
              },
              "caption" : "退出",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction1",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction1"
              },
              "getPSSysImage" : {
                "glyph" : "xf06e@FontAwesome",
                "cssClass" : "fa fa-eye"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.EDITVIEW.CLOSE"
                },
                "caption" : "关闭",
                "codeName" : "Exit",
                "fullCodeName" : "Exit",
                "name" : "编辑界面_退出操作",
                "getPSSysImage" : {
                  "glyph" : "xf08b@FontAwesome",
                  "cssClass" : "fa fa-sign-out"
                },
                "predefinedType" : "EDITVIEW_EXITACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Exit",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "退出",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.EDITVIEW.CLOSE"
              },
              "showCaption" : true,
              "showIcon" : true
            } ],
            "xDataControlName" : "form",
            "modelid" : "a4eb00b17f8652bdf677cb4ed5231e63",
            "modeltype" : "PSDETOOLBAR"
          }, {
            "codeName" : "SimpleEditView_Form",
            "controlType" : "FORM",
            "getCreatePSControlAction" : {
              "modelref" : true,
              "id" : "create",
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "defaultLabelWidth" : 130,
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSFORMS/SimpleEditView_Form.json",
            "getGetDraftFromPSControlAction" : {
              "modelref" : true,
              "id" : "loaddraftfrom",
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "getGetDraftPSControlAction" : {
              "modelref" : true,
              "id" : "loaddraft",
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "getGetPSControlAction" : {
              "modelref" : true,
              "id" : "load",
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "logicName" : "简单编辑_表单",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionName" : "GetDraft",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraft",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "GetDraft"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "GETDRAFTFROM",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraftfrom",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Get",
                "actionType" : "DEACTION",
                "dataAccessAction" : "READ",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Get"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Create",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "create",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Create"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Update",
                "actionType" : "DEACTION",
                "dataAccessAction" : "UPDATE",
                "name" : "update",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Update"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Remove",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              } ],
              "enableDEFieldPrivilege" : false,
              "id" : "编辑表单处理器"
            },
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true,
              "id" : "FORM"
            },
            "getPSDEFormItems" : [ {
              "id" : "srfupdatedate",
              "hidden" : true,
              "dataType" : 5,
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              }
            }, {
              "id" : "srforikey",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfkey",
              "hidden" : true,
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              }
            }, {
              "id" : "srfmajortext",
              "hidden" : true,
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            }, {
              "id" : "srftempmode",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfuf",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfdeid",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfsourcekey",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "testname",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            }, {
              "id" : "date",
              "dataType" : 5,
              "getPSAppDEField" : {
                "name" : "DATE",
                "codeName" : "Date"
              }
            }, {
              "id" : "field2",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD2",
                "codeName" : "Field2"
              }
            }, {
              "id" : "field3",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD3",
                "codeName" : "Field3"
              }
            }, {
              "id" : "field4",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD4",
                "codeName" : "Field4"
              }
            }, {
              "id" : "field",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD",
                "codeName" : "Field"
              }
            }, {
              "id" : "testid",
              "hidden" : true,
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              }
            } ],
            "getPSDEFormPages" : [ {
              "getCapPSLanguageRes" : {
                "lanResTag" : "CONTROL.DEFORM.TEST.SIMPLEEDITVIEW_FORM.FORMPAGE.FORMPAGE1"
              },
              "caption" : "基本信息",
              "codeName" : "formpage1",
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMPAGE",
              "name" : "formpage1",
              "getPSDEFormDetails" : [ {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "CONTROL.DEFORM.TEST.SIMPLEEDITVIEW_FORM.GROUPPANEL.GROUP1"
                },
                "caption" : "测试实体基本信息",
                "codeName" : "group1",
                "detailStyle" : "DEFAULT",
                "detailType" : "GROUPPANEL",
                "name" : "group1",
                "getPSDEFormDetails" : [ {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.TESTNAME"
                  },
                  "caption" : "测试实体名称",
                  "codeName" : "testname",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "testname",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "TESTNAME",
                    "codeName" : "TESTName"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 50,
                    "minLength" : 3,
                    "name" : "testname"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.DATE"
                  },
                  "caption" : "日期",
                  "codeName" : "date",
                  "dataType" : 5,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "itemWidth" : 230.0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "date",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "DATE",
                    "codeName" : "Date"
                  },
                  "getPSEditor" : {
                    "dateTimeFormat" : "YYYY-MM-DD",
                    "editorParams" : {
                      "TIMEFMT" : "YYYY-MM-DD"
                    },
                    "editorType" : "DATEPICKEREX_NOTIME",
                    "editorWidth" : 100.0,
                    "name" : "date"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "valueFormat" : "YYYY-MM-DD",
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.TEST.FIELD2"
                  },
                  "caption" : "属性2",
                  "codeName" : "field2",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field2",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD2",
                    "codeName" : "Field2"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "field2"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.FIELD3"
                  },
                  "caption" : "属性3",
                  "codeName" : "field3",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field3",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD3",
                    "codeName" : "Field3"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "field3"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.FIELD4"
                  },
                  "caption" : "属性4",
                  "codeName" : "field4",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field4",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD4",
                    "codeName" : "Field4"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "field4"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.TEST.FIELD"
                  },
                  "caption" : "属性",
                  "codeName" : "field",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD",
                    "codeName" : "Field"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "field"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                } ],
                "getPSLayout" : {
                  "childColMD" : 24,
                  "columnCount" : 24,
                  "layout" : "TABLE_24COL"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "infoGroupMode" : false,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.TESTID"
                },
                "caption" : "测试实体标识",
                "codeName" : "testid",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "testid",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "TESTID",
                  "codeName" : "TESTId"
                },
                "getPSEditor" : {
                  "editorType" : "HIDDEN",
                  "name" : "testid"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "hidden" : true
              } ],
              "getPSLayout" : {
                "childColMD" : 24,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false
            } ],
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getRemovePSControlAction" : {
              "modelref" : true,
              "id" : "remove",
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "tabHeaderPos" : "TOP",
            "getUpdatePSControlAction" : {
              "modelref" : true,
              "id" : "update",
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "noTabHeader" : true,
            "name" : "form",
            "modelid" : "56531A28-DE51-47EA-A6F4-8C8682C59EC2",
            "modeltype" : "PSDEFORM_EDITFORM"
          }, {
            "codeName" : "SimpleEditViewdatainfobar",
            "controlType" : "DATAINFOBAR",
            "name" : "datainfobar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : {
              "id" : "datainfobar"
            }
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DE.LNAME.TEST"
            },
            "caption" : "测试实体",
            "codeName" : "SimpleEditViewcaptionbar",
            "controlType" : "CAPTIONBAR",
            "name" : "captionbar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : { }
          } ],
          "getPSDEViewCodeName" : "SimpleEditView",
          "getPSDEViewId" : "1234CA34-99C5-45AD-AF27-1B95FFCF1AAB",
          "getPSViewLayoutPanel" : {
            "codeName" : "Layoutpanel",
            "controlStyle" : "APPDEEDITVIEW",
            "controlType" : "VIEWLAYOUTPANEL",
            "name" : "layoutpanel",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : { },
            "layoutBodyOnly" : true,
            "layoutPanel" : true,
            "useDefaultLayout" : true
          },
          "title" : "简单编辑",
          "getTitlePSLanguageRes" : {
            "lanResTag" : "PAGE.TITLE.TEST.SIMPLEEDITVIEW"
          },
          "viewStyle" : "DEFAULT",
          "viewType" : "DEEDITVIEW",
          "xDataControlName" : "form",
          "enableDP" : true,
          "showDataInfoBar" : true,
          "modelid" : "327b48747c731ee593bd4157f0b2a975",
          "modeltype" : "PSAPPDEVIEW"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "parentDataJO" : {
          "srfparentdename" : "SONG",
          "SRFPARENTTYPE" : "CUSTOM"
        },
        "needSave" : false,
        "refreshItemsSetParamOnly" : false,
        "showCaption" : true
      }, {
        "caption" : "语言",
        "codeName" : "language",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "language",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "LANGUAGE",
          "codeName" : "Language"
        },
        "getPSEditor" : {
          "editorType" : "DROPDOWNLIST",
          "name" : "language",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__SongLanguage.json"
          },
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "needCodeListConfig" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "titleBarCloseMode" : 2,
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.SONGID"
      },
      "caption" : "歌曲标识",
      "codeName" : "songid",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "songid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "SONGID",
        "codeName" : "SongId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "songid"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "hidden" : true
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColMD" : 24,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getPSSysPFPlugin" : {
    "pluginType" : "EDITFORM_RENDER",
    "pluginCode" : "FORM_DATA_COMPARISON"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
    }
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
    }
  },
  "noTabHeader" : true,
  "modelid" : "7156FEC2-C7E9-4CF8-8901-38AD04D5CB1D",
  "modeltype" : "PSDEFORM_EDITFORM"
}